WordPress.org

Forums

PixGridder
Plugin activation failed (4 posts)

  1. cyberianfrontier
    Member
    Posted 1 year ago #

    There appears to be a problem with the functions.php file for this plugin. I received this error when trying to install:

    Plugin could not be activated because it triggered a fatal error.

    Parse error: syntax error, unexpected T_FUNCTION in /public_html/wp-content/plugins/pixgridder/lib/functions.php on line 414

    line 414 of that file currently reads as:

    function ($matches) {

    We're hoping to use a theme that requires this plugin. Is there a place where previous versions of the plugin can be downloaded? That would be really helpful.

    Thanks!

    http://wordpress.org/plugins/pixgridder/

  2. cyberianfrontier
    Member
    Posted 1 year ago #

    I forgot to mention that I installed the current version - 1.3.1

  3. cyberianfrontier
    Member
    Posted 1 year ago #

    I've been able to determine that this is a PHP version issue. Line 414 is using a relatively new feature called Anonymous Functions. This feature requires PHP version 5.3 or better.

    Is there a previous version of this plugin that will run with PHP 5.2.x ? I just did a quick check and all the servers that I work on (multiple providers) are all using 5.2.x None of the servers that I currently work with have upgraded to 5.3.

  4. manuelmasia
    Member
    Plugin Author

    Posted 1 year ago #

    What version of PHP? Remind that WordPress requires at least 5.2.4: http://wordpress.org/about/requirements/

    Manuel :-)

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • PixGridder
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic

Tags

No tags yet.